
import us.monoid.web.Resty;
import java.io.IOException;

import static us.monoid.web.Resty.*;

/**
 * Version Final de Proyecto del Ramo ELO322 - Programacion orientada a objetos.
 * @author Gonzalo Sanchez, Anibal Catalan, Carlos Polanco, Daniel Veas.
 * @since 30/07/2014
 * @see https://beders.github.io/Resty/Resty/Overview.html
 */
public class APICreator
{	
	/**
	 * Funcion que crea un estudiante 
	 * @param name Nombre del Estudiante
	 * @param rol Rol del Estudiante
	 */
    public void createStudent(String name, String rol)
    {
        Resty r = new Resty();
        try{
            r.json("http://dev.tuix.cl/proyecto/api/student", form(data("name", name), data("rol", rol)));
        } catch (IOException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Funcion que crea un Profesor
     * @param name Nombre del Profesor
     */
    public void createTeacher(String name)
    {
        Resty r = new Resty();
        try{
            r.json("http://dev.tuix.cl/proyecto/api/teacher", form(data("name", name)));
        } catch (IOException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    /**
     * Funcion que crea un Curso
     * @param name Nombre del Curso
     * @param code Codigo del Curso
     * @param teacher_id ID del Profesor
     */
    public void createCourse(String name, String code, String teacher_id)
    {
        Resty r = new Resty();
        try{
            r.json("http://dev.tuix.cl/proyecto/api/course", form(data("name", name), data("code", code), data("teacher_id", teacher_id)));
        } catch (IOException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
